function newExcl02030Control(pageName, doctx="[data-doctx='excl02030']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "opnnDlbr"
        , prefixName: "의견제출 심의"
        , dataGetter: obj => obj["Info"]
        , keys: ["OPNN_ID"]
        , urls: {
              create: "/create.do"
            , update: "/update.do"
        }
        , formats: {
            RDCT_AMT: numberFormat
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrl.selector("[name='frmEdit']"));
        formFields.set(ctrl, item);

        // 업무구분에 따른 URL 변경
        ctrl.urls.create = wctx.url(pageObject[pageName].prefixUrl + "/030/create.do");    // 등록
        ctrl.urls.update = wctx.url(pageObject[pageName].prefixUrl + "/030/update.do");    // 수정

        // 의견제출 상태 코드 변경
        pageObject[pageName].fnChangeOpnnSbmsnSttsCd(item.data.OPNN_SBMSN_STTS_CD);

        // 답변 일자가 없다면..
        if (item.data.ANS_YMD == null) {
            $(ctrl.find("[name='ansYmd']")).datepicker("setDate", TODAY());
            $(ctrl.find("[name='ansTm']")).val(new Date().toTimeString().split(" ")[0]); // 시간 "09:51:35 GMT+0900 (한국 표준시)"의 형식에서 공백을 기준으로 잘라 시간 부분만 가져와줍니다.
        }
    };

    // 저장 callback
    ctrl.onSave = (params, resp) => {
        let modalId = $(document.querySelector(doctx)).parents(".modal")[0].id;
        let dialogTitle = $("#" + modalId).find("h5.modal-title").html();
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, dialogTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { dialog.close(modalId); }
            }
        });
    }

    // 저장
    ctrl.save = (params) => {
        if (!params) return;

        ajax.post({
              url: ctrl.urls.update
            , data: params || {}
            , success: (resp) => { ctrl.onSave(params, resp); }
        });
    }

    return ctrl;
}
